# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:           tcpjunk
Version:        2.9.03
Release:        alt1_6
Summary:        TCP protocols testing tool

Group:          Networking/WWW
License:        GPLv2+
URL:            http://code.google.com/p/tcpjunk/
Source0:        http://tcpjunk.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  libssl-devel
BuildRequires:  libgtksourceview-devel

BuildRequires:  desktop-file-utils
Source44: import.info


%description
TCPJunk is a TCP protocols manipulation and hacking utility that can
be used in different ways. Similar to netcat, TCPJunk can be used as
a client or server, but instead of stdin, it uses a 'Session file' as
the data to send or receive. TCPJunk can be used as a general testing
tool, a traffic generator or a fuzzer, for protocols such as HTTP,
SMTP, POP3, IMAP, FTP and others.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} \
    tcpjunkdocdir=%{_defaultdocdir}/%{name}-%{version} \
    manpagedir=%{_mandir}/man1 INSTALL="install -p"
desktop-file-install                                    \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc AUTHORS ChangeLog COPYING TODO.tasks
%{_mandir}/man*/%{name}**
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.03-alt1_6
- initial fc import

